## qmf 5.0~git20241030.1476b88

=== tests/CMakeLists.txt ===
add_subdirectory(tst_locks)
add_subdirectory(tst_longstream)
add_subdirectory(tst_longstring)
add_subdirectory(tst_python_email)
add_subdirectory(tst_qlogsystem)
add_subdirectory(tst_qmail_listmodels)
add_subdirectory(tst_qmail_sortkeys)
add_subdirectory(tst_qmailaddress)
add_subdirectory(tst_qmailcodec)
add_subdirectory(tst_qmaildisconnected)
add_subdirectory(tst_qmaillog)
add_subdirectory(tst_qmailmessage)
add_subdirectory(tst_qmailmessagebody)
add_subdirectory(tst_qmailmessageheader)
add_subdirectory(tst_qmailmessagepart)
add_subdirectory(tst_qmailmessageset)
add_subdirectory(tst_qmailnamespace)
add_subdirectory(tst_qmailserviceaction)
add_subdirectory(tst_qmailstorageaction)
add_subdirectory(tst_qmailstore)
add_subdirectory(tst_qmailstorekeys)
add_subdirectory(tst_qmailthread)
add_subdirectory(tst_qmflist)
add_subdirectory(tst_qprivateimplementation)
add_subdirectory(tst_smtp)
add_subdirectory(tst_storagemanager)

find_program(GPGME_CONFIG gpgme-config)
if (GPGME_CONFIG)
  execute_process(COMMAND ${GPGME_CONFIG} --libs OUTPUT_VARIABLE GPGME_LIBS OUTPUT_STRIP_TRAILING_WHITESPACE)
  add_subdirectory(tst_crypto)
endif()

=== src/plugins/CMakeLists.txt ===
add_subdirectory(contentmanagers)
add_subdirectory(messageservices)

find_program(GPGME_CONFIG gpgme-config)
if (GPGME_CONFIG)
  execute_process(COMMAND ${GPGME_CONFIG} --libs OUTPUT_VARIABLE GPGME_LIBS OUTPUT_STRIP_TRAILING_WHITESPACE)
  add_subdirectory(crypto)
endif()

=== tests/tst_crypto/CMakeLists.txt ===
add_executable(tst_crypto tst_crypto.cpp)
target_include_directories(tst_crypto
  PRIVATE ../../src/libraries/qmfclient ../../src/libraries/qmfclient/support)
target_link_libraries(tst_crypto
  PRIVATE Qt6::Core Qt6::Test QmfClient ${GPGME_LIBS})

install(TARGETS tst_crypto
  RUNTIME DESTINATION /opt/tests/qmf)

=== tests/tst_longstream/CMakeLists.txt ===
add_executable(tst_longstream tst_longstream.cpp)
target_include_directories(tst_longstream
  PRIVATE ../../src/libraries/qmfclient ../../src/libraries/qmfclient/support)
target_link_libraries(tst_longstream
  PRIVATE Qt6::Core Qt6::Test QmfClient)

install(TARGETS tst_longstream
  RUNTIME DESTINATION /opt/tests/qmf)

=== tests/tst_qmailaddress/CMakeLists.txt ===
add_executable(tst_qmailaddress tst_qmailaddress.cpp)
target_include_directories(tst_qmailaddress
  PRIVATE ../../src/libraries/qmfclient ../../src/libraries/qmfclient/support)
target_link_libraries(tst_qmailaddress
  PRIVATE Qt6::Core Qt6::Core5Compat Qt6::Test QmfClient)

install(TARGETS tst_qmailaddress
  RUNTIME DESTINATION /opt/tests/qmf)

=== tests/tst_qmaildisconnected/CMakeLists.txt ===
add_executable(tst_qmaildisconnected tst_qmaildisconnected.cpp)
target_include_directories(tst_qmaildisconnected
  PRIVATE ../../src/libraries/qmfclient ../../src/libraries/qmfclient/support)
target_link_libraries(tst_qmaildisconnected
  PRIVATE Qt6::Core Qt6::Core5Compat Qt6::Test QmfClient)

install(TARGETS tst_qmaildisconnected
  RUNTIME DESTINATION /opt/tests/qmf)

=== tests/tst_qmailmessagepart/CMakeLists.txt ===
add_executable(tst_qmailmessagepart tst_qmailmessagepart.cpp)
target_include_directories(tst_qmailmessagepart
  PRIVATE ../../src/libraries/qmfclient ../../src/libraries/qmfclient/support)
target_link_libraries(tst_qmailmessagepart
  PRIVATE Qt6::Core Qt6::Core5Compat Qt6::Test QmfClient)

install(TARGETS tst_qmailmessagepart
  RUNTIME DESTINATION /opt/tests/qmf)

=== tests/tst_qmailstorekeys/CMakeLists.txt ===
add_executable(tst_qmailstorekeys tst_qmailstorekeys.cpp)
target_include_directories(tst_qmailstorekeys
  PRIVATE ../../src/libraries/qmfclient ../../src/libraries/qmfclient/support)
target_link_libraries(tst_qmailstorekeys
  PRIVATE Qt6::Core Qt6::Core5Compat Qt6::Test QmfClient)

install(TARGETS tst_qmailstorekeys
  RUNTIME DESTINATION /opt/tests/qmf)

=== tests/tst_qmailthread/CMakeLists.txt ===
add_executable(tst_qmailthread tst_qmailthread.cpp)
target_include_directories(tst_qmailthread
  PRIVATE ../../src/libraries/qmfclient ../../src/libraries/qmfclient/support)
target_link_libraries(tst_qmailthread
  PRIVATE Qt6::Core Qt6::Core5Compat Qt6::Test QmfClient)

install(TARGETS tst_qmailthread
  RUNTIME DESTINATION /opt/tests/qmf)

=== tests/tst_smtp/CMakeLists.txt ===
set(SMTP_SOURCES
  ../../src/plugins/messageservices/smtp/smtpauthenticator.h
  ../../src/plugins/messageservices/smtp/smtpclient.h
  ../../src/plugins/messageservices/smtp/smtpconfiguration.h
  ../../src/plugins/messageservices/smtp/smtpclient.cpp
  ../../src/plugins/messageservices/smtp/smtpauthenticator.cpp
  ../../src/plugins/messageservices/smtp/smtpconfiguration.cpp)

add_executable(tst_smtp tst_smtp.cpp ${SMTP_SOURCES})
target_include_directories(tst_smtp
  PRIVATE
  ../../src/libraries/qmfmessageserver
  ../../src/libraries/qmfclient
  ../../src/libraries/qmfclient/support
  ../../src/plugins/messageservices/smtp)
target_link_libraries(tst_smtp
  PRIVATE Qt6::Core Qt6::Core5Compat Qt6::Network Qt6::Test QmfClient QmfMessageServer)

install(TARGETS tst_smtp
  RUNTIME DESTINATION /opt/tests/qmf)

=== src/libraries/qmfclient/CMakeLists.txt ===
set(SRC
  longstream.cpp
  longstring.cpp
  locks.cpp
  qmailaccount.cpp
  qmailaccountconfiguration.cpp
  qmailaccountkey.cpp
  qmailaccountlistmodel.cpp
  qmailaccountsortkey.cpp
  qmailaction.cpp
  qmailaddress.cpp
  qmailcodec.cpp
  qmailcontentmanager.cpp
  qmailcrypto.cpp
  qmaildatacomparator.cpp
  qmaildisconnected.cpp
  qmailfolder.cpp
  qmailfolderfwd.cpp
  qmailfolderkey.cpp
  qmailfoldersortkey.cpp
  qmailid.cpp
  qmailinstantiations.cpp
  qmailkeyargument.cpp
  qmailmessage.cpp
  qmailmessagefwd.cpp
  qmailmessagekey.cpp
  qmailmessagelistmodel.cpp
  qmailmessagemodelbase.cpp
  qmailmessageremovalrecord.cpp
  qmailmessageserver.cpp
  qmailmessageset.cpp
  qmailmessagesortkey.cpp
  qmailmessagethreadedmodel.cpp
  qmailserviceaction.cpp
  qmailstore.cpp
  qmailstore_p.cpp
  qmailstoreimplementation_p.cpp
  qmailtimestamp.cpp
  qmailthread.cpp
  qmailthreadkey.cpp
  qmailthreadlistmodel.cpp
  qmailthreadsortkey.cpp
  qprivateimplementation.cpp
  support/qmailnamespace.cpp
  support/qmaillog.cpp
  support/qlogsystem.cpp
  support/qloggers.cpp
  support/qmailpluginmanager.cpp)

set(PUBLIC_HEADERS
  qmailaccount.h
  qmailaccountconfiguration.h
  qmailaccountkey.h
  qmailaccountlistmodel.h
  qmailaccountsortkey.h
  qmailaction.h
  qmailaddress.h
  qmailcodec.h
  qmailcontentmanager.h
  qmailcrypto.h
  qmailcryptofwd.h
  qmaildatacomparator.h
  qmaildisconnected.h
  qmailfolder.h
  qmailfolderfwd.h
  qmailfolderkey.h
  qmailfoldersortkey.h
  qmailid.h
  qmailkeyargument.h
  qmailmessage.h
  qmailmessagefwd.h
  qmailmessagekey.h
  qmailmessagelistmodel.h
  qmailmessagemodelbase.h
  qmailmessageremovalrecord.h
  qmailmessageserver.h
  qmailmessageset.h
  qmailmessagesortkey.h
  qmailmessagethreadedmodel.h
  qmailserviceaction.h
  qmailsortkeyargument.h
  qmailstore.h
  qmailtimestamp.h
  qmailthread.h
  qmailthreadkey.h
  qmailthreadlistmodel.h
  qmailthreadsortkey.h
  qmflist.h
  qprivateimplementation.h
  support/qmailglobal.h
  support/qmaillog.h
  support/qlogsystem.h
  support/qloggers.h
  support/qmailnamespace.h
  support/qmailpluginmanager.h
  support/qmailipc.h)

set(PRIVATE_HEADERS
  qprivateimplementationdef_p.h
  bind_p.h
  locks_p.h
  mailkeyimpl_p.h
  mailsortkeyimpl_p.h
  qmailaccountkey_p.h
  qmailaccountsortkey_p.h
  qmailfolderkey_p.h
  qmailfoldersortkey_p.h
  qmailmessage_p.h
  qmailmessagekey_p.h
  qmailmessageset_p.h
  qmailmessagesortkey_p.h
  qmailserviceaction_p.h
  qmailstore_p.h
  qmailstoreimplementation_p.h
  qmailthread_p.h
  qmailthreadkey_p.h
  qmailthreadsortkey_p.h
  longstring_p.h
  longstream_p.h)

if (ICU_FOUND)
  set(SRC ${SRC}
    support/qcharsetdetector.cpp)
  set(PRIVATE_HEADERS ${PRIVATE_HEADERS}
    support/qcharsetdetector_p.h
    support/qcharsetdetector.h)
endif()

qt_add_resources(SRC qmf.qrc qmf_icons.qrc qmf_qt.qrc)

set_source_files_properties(qmailservice.xml PROPERTIES
  INCLUDE qmailserviceaction.h)
qt_add_dbus_interface(GENERATED_SOURCES qmailservice.xml qmailservice_interface)
qt_add_dbus_adaptor(GENERATED_SOURCES qmailstore.xml qmailstoreimplementation_p.h QMailStoreImplementationBase qmailstore_adaptor)

add_library(QmfClient SHARED ${SRC} ${GENERATED_SOURCES} ${PUBLIC_HEADERS} ${PRIVATE_HEADERS})

target_compile_definitions(QmfClient PRIVATE QMF_INTERNAL)
target_include_directories(QmfClient PRIVATE support)
target_link_libraries(QmfClient
  PRIVATE Qt6::Sql Qt6::Network Qt6::Core5Compat
  PUBLIC Qt6::Core Qt6::DBus)
set_target_properties(QmfClient PROPERTIES
  SOVERSION ${PROJECT_VERSION_MAJOR}
  VERSION ${PROJECT_VERSION}
  PUBLIC_HEADER "${PUBLIC_HEADERS}"
  PRIVATE_HEADER "${PRIVATE_HEADERS}")

if (ICU_FOUND)
  target_compile_definitions(QmfClient PRIVATE HAVE_LIBICU)
  target_link_libraries(QmfClient PRIVATE PkgConfig::ICU)
endif()

if (USE_HTML_PARSER)
  target_compile_definitions(QmfClient PRIVATE USE_HTML_PARSER)
  target_link_libraries(QmfClient
    PRIVATE Qt6::Gui)
endif()

install(TARGETS QmfClient
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
  PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/qt5/QmfClient
  PRIVATE_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/qt5/QmfClient/private)

if (TARGET Qt6::LinguistTools)
  qt_add_translations(libqtopiamail)
endif()

=== src/libraries/qmfmessageserver/CMakeLists.txt ===
set(SRC
  qmailauthenticator.cpp
  qmailmessagebuffer.cpp
  qmailmessageclassifier.cpp
  qmailmessageservice.cpp
  qmailserviceconfiguration.cpp
  qmailstoreaccountfilter.cpp
  qmailtransport.cpp
  qmailheartbeattimer_qtimer.cpp) # NB: There are multiple implementations

set(HEADERS
  qmailauthenticator.h
  qmailmessagebuffer.h
  qmailmessageclassifier.h
  qmailmessageservice.h
  qmailserviceconfiguration.h
  qmailstoreaccountfilter.h
  qmailtransport.h
  qmailheartbeattimer.h)

if (BUILD_MESSAGESERVER_PLUGINS)
  set(SRC ${SRC}
    qmailmessageserverplugin.cpp)
  set(HEADERS ${HEADERS}
    qmailmessageserverplugin.h)
endif()

add_library(QmfMessageServer SHARED ${SRC} ${HEADERS})

if (BUILD_WIDGETS)
  target_link_libraries(QmfMessageServer PUBLIC Qt6::Widgets)
else()
  target_compile_definitions(QmfMessageServer PRIVATE QMF_NO_WIDGETS)
endif()

target_compile_definitions(QmfMessageServer PRIVATE MESSAGESERVER_INTERNAL)
target_include_directories(QmfMessageServer PRIVATE ../qmfclient ../qmfclient/support)
target_link_libraries(QmfMessageServer
  PRIVATE Qt6::Network
  PUBLIC Qt6::Core QmfClient)
set_target_properties(QmfMessageServer PROPERTIES
  SOVERSION ${PROJECT_VERSION_MAJOR}
  VERSION ${PROJECT_VERSION}
  PUBLIC_HEADER "${HEADERS}")

install(TARGETS QmfMessageServer
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
  PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/qt5/QmfMessageServer)

## qmf 1.0~2010w23

=== debian/changelog ===
qmf (1.0~2010w23-1hedley1) lucid; urgency=low

  * Hedley backport. No changes.

 -- Florian Boucault <florian.boucault@canonical.com>  Thu, 15 Jul 2010 09:30:02 +0200

qmf (1.0~2010w23-1) experimental; urgency=low

  * Initial release. (Closes: #587747)

 -- Fathi Boudra <fabo@debian.org>  Wed, 30 Jun 2010 15:58:16 +0300

=== debian/control ===
Source: qmf
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 7.4.15), libqt4-dev (>= 4:4.6.0), qt4-dev-tools (>= 4:4.6.0)
Standards-Version: 3.9.0
Homepage: http://labs.trolltech.com/blogs/category/qtmessaging/
Vcs-Git: git://git.debian.org/pkg-kde/qmf.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/qmf.git;a=summary

Package: qmf-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libmessageserver1 (= ${binary:Version}),
 libqmfutil1 (= ${binary:Version}),
 libqtopiamail1 (= ${binary:Version})
Suggests: qmf-doc
Description: Qt Messaging Framework (QMF) - development files
 The Qt Messaging Framework, QMF, consists of a C++ library and daemon server
 process that can be used to build email clients, and more generally software
 that interacts with email and mail servers.
 .
 This package contains the development files needed to build Qt applications
 using Qt Messaging Framework libraries.

Package: libmessageserver1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt Messaging Framework (QMF) message server support library
 The Qt Messaging Framework, QMF, consists of a C++ library and daemon server
 process that can be used to build email clients, and more generally software
 that interacts with email and mail servers.
 .
 This package contains the message server support library. It provides
 assistance in developing GUI clients that access messaging data.

Package: libqmfutil1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt Messaging Framework (QMF) messaging client utility library
 The Qt Messaging Framework, QMF, consists of a C++ library and daemon server
 process that can be used to build email clients, and more generally software
 that interacts with email and mail servers.
 .
 This package contains the messaging client utility library. It provides
 assistance in developing plugins for the Message Server daemon.

Package: libqtopiamail1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt Messaging Framework (QMF) client library
 The Qt Messaging Framework, QMF, consists of a C++ library and daemon server
 process that can be used to build email clients, and more generally software
 that interacts with email and mail servers.
 .
 The Client library provides classes giving access to all messages stored on
 the device, via a uniform interface. It simplifies the task of creating
 messaging client applications, and permits other Messaging Framework
 applications to interact with messaging data where appropriate. New types of
 messages can be supported by the library without modification to existing
 client applications.
 .
 This package contains a library for developing applications that work with
 messages.

Package: qmf-messageserver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: utils
Description: Qt Messaging Framework (QMF) message server
 The Qt Messaging Framework, QMF, consists of a C++ library and daemon server
 process that can be used to build email clients, and more generally software
 that interacts with email and mail servers.
 .
 The MessageServer application is a daemon, designed to run continuously while
 providing services to client applications. It provides messaging transport
 functionality, communicating with external servers on behalf of Messaging
 Framework client applications. New types of messaging (such as Instant
 Messages or video messages) can be handled by the server application without
 modification to existing client applications.
 .
 This package contains a server application supporting multiple messaging
 transport mechanisms.

Package: qmf-examples
Architecture: any
Section: x11
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt Messaging Framework (QMF) examples
 The Qt Messaging Framework, QMF, consists of a C++ library and daemon server
 process that can be used to build email clients, and more generally software
 that interacts with email and mail servers.
 .
 The Messages example client application provides an implementation of standard
 functionality for creating and viewing messages.
 .
 This package contains an example client application supporting common
 messaging functionality.

Package: qmf-dbg
Priority: extra
Architecture: any
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends},
 libmessageserver1 (= ${binary:Version}),
 libqmfutil1 (= ${binary:Version}),
 libqtopiamail1 (= ${binary:Version})
Description: Qt Messaging Framework (QMF) - debugging symbols
 The Qt Messaging Framework, QMF, consists of a C++ library and daemon server
 process that can be used to build email clients, and more generally software
 that interacts with email and mail servers.
 .
 This package contains the debugging symbols for the Qt Messaging Framework
 (QMF) libraries.

Package: qmf-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: qt4-dev-tools, qt4-doc
Description: Qt Messaging Framework (QMF) - documentation
 The Qt Messaging Framework, QMF, consists of a C++ library and daemon server
 process that can be used to build email clients, and more generally software
 that interacts with email and mail servers.
 .
 This package contains the documentation for Qt Messaging Framework (QMF).

## qmf 1.0~2010w35

=== debian/changelog ===
qmf (1.0~2010w35-1) experimental; urgency=low

  * New upstream release.

  [ Fathi Boudra ]
  * Update debian/control:
    - add libqt4-sql-sqlite missing dependency to libmessageserver1 package.
    - bump libqt4-dev and qt4-dev-tools build dependencies to 4:4.7.0~rc1.
    - bump Standards-Version to 3.9.1 (no changes needed).
  * Update 02_fix_installation_paths.diff patch.
  * Remove 03_add_qch_documentation.diff - merged upstream.
  * Update installed files.

  [ Modestas Vainius ]
  * Fix debian/control Vcs fields to point to the new location.

 -- Fathi Boudra <fabo@debian.org>  Sun, 05 Sep 2010 18:13:46 +0300

qmf (1.0~2010w23-2) experimental; urgency=low

  * Add qmf-tests package and ship the tests.
    Disable 01_disable_test_benchmarks.diff patch.
  * Add 04_no_rpath_tests_benchmarks.diff to remove rpath from tests and
    benchmarks.
  * Merge qmf-messageserver and libmessageserver1 packages.
    It doesn't make sense to ship them separately.

 -- Fathi Boudra <fabo@debian.org>  Sat, 24 Jul 2010 13:48:14 +0300

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>
-Build-Depends: debhelper (>= 7.4.15), libqt4-dev (>= 4:4.6.0), qt4-dev-tools (>= 4:4.6.0)
-Standards-Version: 3.9.0
+Build-Depends: debhelper (>= 7.4.15), libqt4-dev (>= 4:4.7.0~rc1), qt4-dev-tools (>= 4:4.7.0~rc1)
+Standards-Version: 3.9.1
 Homepage: http://labs.trolltech.com/blogs/category/qtmessaging/
 Vcs-Git: git://git.debian.org/pkg-kde/qmf.git
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/qmf.git;a=summary
@@ -27,14 +27,25 @@
 
 Package: libmessageserver1
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-sql-sqlite
+Conflicts: qmf-messageserver
+Replaces: qmf-messageserver (<< 1.0~2010w23-2)
 Description: Qt Messaging Framework (QMF) message server support library
  The Qt Messaging Framework, QMF, consists of a C++ library and daemon server
  process that can be used to build email clients, and more generally software
  that interacts with email and mail servers.
  .
- This package contains the message server support library. It provides
- assistance in developing GUI clients that access messaging data.
+ The MessageServer application is a daemon, designed to run continuously while
+ providing services to client applications. It provides messaging transport
+ functionality, communicating with external servers on behalf of Messaging
+ Framework client applications. New types of messaging (such as Instant
+ Messages or video messages) can be handled by the server application without
+ modification to existing client applications.
+ .
+ This package contains:
+  * the message server support library. It provides assistance in developing
+    GUI clients that access messaging data.
+  * a server application supporting multiple messaging transport mechanisms.
 
 Package: libqmfutil1
 Architecture: any
@@ -65,25 +76,6 @@
  This package contains a library for developing applications that work with
  messages.
 
-Package: qmf-messageserver
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Section: utils
-Description: Qt Messaging Framework (QMF) message server
- The Qt Messaging Framework, QMF, consists of a C++ library and daemon server
- process that can be used to build email clients, and more generally software
- that interacts with email and mail servers.
- .
- The MessageServer application is a daemon, designed to run continuously while
- providing services to client applications. It provides messaging transport
- functionality, communicating with external servers on behalf of Messaging
- Framework client applications. New types of messaging (such as Instant
- Messages or video messages) can be handled by the server application without
- modification to existing client applications.
- .
- This package contains a server application supporting multiple messaging
- transport mechanisms.
-
 Package: qmf-examples
 Architecture: any
 Section: x11
@@ -99,6 +91,17 @@
  This package contains an example client application supporting common
  messaging functionality.
 
+Package: qmf-tests
+Architecture: any
+Section: utils
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Qt Messaging Framework (QMF) tests
+ The Qt Messaging Framework, QMF, consists of a C++ library and daemon server
+ process that can be used to build email clients, and more generally software
+ that interacts with email and mail servers.
+ .
+ This package contains the tests for the Qt Messaging Framework (QMF).
+
 Package: qmf-dbg
 Priority: extra
 Architecture: any
@@ -112,8 +115,8 @@
  process that can be used to build email clients, and more generally software
  that interacts with email and mail servers.
  .
- This package contains the debugging symbols for the Qt Messaging Framework
- (QMF) libraries.
+ This package contains the debugging symbols for Qt Messaging Framework (QMF)
+ libraries.
 
 Package: qmf-doc
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel --list-missing --dbg-package=qmf-dbg

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/html

## qmf 1.0~2010w39

=== debian/changelog ===
qmf (1.0~2010w39-1ubuntu4) natty; urgency=low

  * Remove symbols files, they broke and we decided not to include qmf in main

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 28 Jan 2011 15:31:37 +0000

qmf (1.0~2010w39-1ubuntu3) natty; urgency=low

  * Generate .symbols files with GCC 4.5 not 4.6

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 28 Jan 2011 13:47:29 +0000

qmf (1.0~2010w39-1ubuntu2) natty; urgency=low

  * Remove explicit Thumb2 support, no longer needed
  * Add .symbols files for libraries for ABI checking

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 28 Jan 2011 12:42:23 +0000

qmf (1.0~2010w39-1ubuntu1) natty; urgency=low

  * Add CXXFLAGS += -Wa,-mimplicit-it=thumb on armel to work around
    lack of native Thumb2 support in qt4-x11

 -- Scott Kitterman <scott@kitterman.com>  Sat, 13 Nov 2010 16:30:02 +0000

qmf (1.0~2010w39-1) experimental; urgency=low

  * New upstream release - several renaming changes have been made to QMF.
    These changes are unfortunately source and  binary incompatible.
  * Update patches to apply against the new release.
  * Update debian/control:
    - Adjust packages name
      libmessageserver1 -> libqmfmessageserver1
      libqtopiamail1 -> libqmfclient1
    - Add qmf-doc-html package.
  * Update debian/rules:
    - pass QMF_INSTALL_ROOT configure option.
    - install qmf.sh to set QMF_PLUGINS environment variable.
    - install messageserver.desktop to autostart messageserver.
  * Update installed files.

 -- Fathi Boudra <fabo@debian.org>  Sat, 09 Oct 2010 09:47:08 +0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qmf
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>
 Build-Depends: debhelper (>= 7.4.15), libqt4-dev (>= 4:4.7.0~rc1), qt4-dev-tools (>= 4:4.7.0~rc1)
 Standards-Version: 3.9.1
@@ -13,9 +14,9 @@
 Section: libdevel
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libmessageserver1 (= ${binary:Version}),
+ libqmfmessageserver1 (= ${binary:Version}),
  libqmfutil1 (= ${binary:Version}),
- libqtopiamail1 (= ${binary:Version})
+ libqmfclient1 (= ${binary:Version})
 Suggests: qmf-doc
 Description: Qt Messaging Framework (QMF) - development files
  The Qt Messaging Framework, QMF, consists of a C++ library and daemon server
@@ -25,11 +26,11 @@
  This package contains the development files needed to build Qt applications
  using Qt Messaging Framework libraries.
 
-Package: libmessageserver1
+Package: libqmfmessageserver1
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-sql-sqlite
-Conflicts: qmf-messageserver
-Replaces: qmf-messageserver (<< 1.0~2010w23-2)
+Conflicts: qmf-messageserver, libmessageserver1
+Replaces: qmf-messageserver (<< 1.0~2010w23-2), libmessageserver1 (<< 1.0~2010w39-1)
 Description: Qt Messaging Framework (QMF) message server support library
  The Qt Messaging Framework, QMF, consists of a C++ library and daemon server
  process that can be used to build email clients, and more generally software
@@ -58,9 +59,11 @@
  This package contains the messaging client utility library. It provides
  assistance in developing plugins for the Message Server daemon.
 
-Package: libqtopiamail1
+Package: libqmfclient1
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libqtopiamail1
+Replaces: libqtopiamail1 (<< 1.0~2010w39-1)
 Description: Qt Messaging Framework (QMF) client library
  The Qt Messaging Framework, QMF, consists of a C++ library and daemon server
  process that can be used to build email clients, and more generally software
@@ -107,9 +110,9 @@
 Architecture: any
 Section: debug
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libmessageserver1 (= ${binary:Version}),
+ libqmfmessageserver1 (= ${binary:Version}),
  libqmfutil1 (= ${binary:Version}),
- libqtopiamail1 (= ${binary:Version})
+ libqmfclient1 (= ${binary:Version})
 Description: Qt Messaging Framework (QMF) - debugging symbols
  The Qt Messaging Framework, QMF, consists of a C++ library and daemon server
  process that can be used to build email clients, and more generally software
@@ -122,10 +125,28 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
-Suggests: qt4-dev-tools, qt4-doc
-Description: Qt Messaging Framework (QMF) - documentation
+Suggests: qmf-dev, qt4-dev-tools, qt4-doc
+Description: Qt Messaging Framework (QMF) - QCH documentation
  The Qt Messaging Framework, QMF, consists of a C++ library and daemon server
  process that can be used to build email clients, and more generally software
  that interacts with email and mail servers.
  .
  This package contains the documentation for Qt Messaging Framework (QMF).
+ .
+ The documentation is provided in the new help format and manpage format;
+ the new help format version can be viewed in conjunction with the Qt Assistant
+ found in the qt4-dev-tools package.
+
+Package: qmf-doc-html
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}
+Suggests: w3m | www-browser | x-www-browser, qmf-dev, qt4-dev-tools, qt4-doc-html
+Description: Qt Messaging Framework (QMF) - HTML documentation
+ The Qt Messaging Framework, QMF, consists of a C++ library and daemon server
+ process that can be used to build email clients, and more generally software
+ that interacts with email and mail servers.
+ .
+ This package contains the documentation for Qt Messaging Framework (QMF).
+ .
+ The documentation is provided in HTML format.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel --list-missing --dbg-package=qmf-dbg

override_dh_auto_configure:
	dh_auto_configure -- QMF_INSTALL_ROOT=/usr

override_dh_auto_install:
	install -D -p -m 0644 debian/qmf.sh \
		debian/tmp/etc/profile.d/qmf.sh
	install -D -p -m 0644 debian/messageserver.desktop \
		debian/tmp/etc/xdg/autostart/messageserver.desktop
	dh_auto_install

## qmf 1.0.7~2011w23.2

=== debian/changelog ===
qmf (1.0.7~2011w23.2-2.1) unstable; urgency=low

  * Non maintainer upload
  * Fix build failure with GCC 4.7. Closes: #684812.
  * Build qmfclient with -O1 to work around #667341.

 -- Matthias Klose <doko@debian.org>  Mon, 27 Aug 2012 12:03:05 +0200

qmf (1.0.7~2011w23.2-2) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.2 (no changes needed).

 -- Fathi Boudra <fabo@debian.org>  Sun, 19 Jun 2011 21:19:36 +0300

qmf (1.0.7~2011w08-1) unstable; urgency=low

  * New upstream release - upload to Sid.
  * Pass CONFIG+=syslog to get debug messages in the syslog.
  * Update installed headers and fix documentation path.

 -- Fathi Boudra <fabo@debian.org>  Sun, 06 Mar 2011 11:25:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: qmf
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>
-Build-Depends: debhelper (>= 7.4.15), libqt4-dev (>= 4:4.7.0~rc1), qt4-dev-tools (>= 4:4.7.0~rc1)
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 7.4.15),
+               libqt4-dev (>= 4:4.7.0),
+               qt4-dev-tools (>= 4:4.7.0)
+Standards-Version: 3.9.2
 Homepage: http://labs.trolltech.com/blogs/category/qtmessaging/
 Vcs-Git: git://git.debian.org/pkg-kde/qmf.git
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/qmf.git;a=summary
@@ -13,10 +14,11 @@
 Package: qmf-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},
- libqmfmessageserver1 (= ${binary:Version}),
- libqmfutil1 (= ${binary:Version}),
- libqmfclient1 (= ${binary:Version})
+Depends: libqmfclient1 (= ${binary:Version}),
+         libqmfmessageserver1 (= ${binary:Version}),
+         libqmfutil1 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Suggests: qmf-doc
 Description: Qt Messaging Framework (QMF) - development files
  The Qt Messaging Framework, QMF, consists of a C++ library and daemon server
@@ -28,9 +30,10 @@
 
 Package: libqmfmessageserver1
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-sql-sqlite
-Conflicts: qmf-messageserver, libmessageserver1
-Replaces: qmf-messageserver (<< 1.0~2010w23-2), libmessageserver1 (<< 1.0~2010w39-1)
+Depends: libqt4-sql-sqlite, ${misc:Depends}, ${shlibs:Depends}
+Conflicts: libmessageserver1, qmf-messageserver
+Replaces: libmessageserver1 (<< 1.0~2010w39-1),
+          qmf-messageserver (<< 1.0~2010w23-2)
 Description: Qt Messaging Framework (QMF) message server support library
  The Qt Messaging Framework, QMF, consists of a C++ library and daemon server
  process that can be used to build email clients, and more generally software
@@ -50,7 +53,7 @@
 
 Package: libqmfutil1
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt Messaging Framework (QMF) messaging client utility library
  The Qt Messaging Framework, QMF, consists of a C++ library and daemon server
  process that can be used to build email clients, and more generally software
@@ -61,7 +64,7 @@
 
 Package: libqmfclient1
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Conflicts: libqtopiamail1
 Replaces: libqtopiamail1 (<< 1.0~2010w39-1)
 Description: Qt Messaging Framework (QMF) client library
@@ -82,7 +85,7 @@
 Package: qmf-examples
 Architecture: any
 Section: x11
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt Messaging Framework (QMF) examples
  The Qt Messaging Framework, QMF, consists of a C++ library and daemon server
  process that can be used to build email clients, and more generally software
@@ -97,7 +100,7 @@
 Package: qmf-tests
 Architecture: any
 Section: utils
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt Messaging Framework (QMF) tests
  The Qt Messaging Framework, QMF, consists of a C++ library and daemon server
  process that can be used to build email clients, and more generally software
@@ -109,10 +112,11 @@
 Priority: extra
 Architecture: any
 Section: debug
-Depends: ${shlibs:Depends}, ${misc:Depends},
- libqmfmessageserver1 (= ${binary:Version}),
- libqmfutil1 (= ${binary:Version}),
- libqmfclient1 (= ${binary:Version})
+Depends: libqmfclient1 (= ${binary:Version}),
+         libqmfmessageserver1 (= ${binary:Version}),
+         libqmfutil1 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: Qt Messaging Framework (QMF) - debugging symbols
  The Qt Messaging Framework, QMF, consists of a C++ library and daemon server
  process that can be used to build email clients, and more generally software
@@ -141,7 +145,10 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
-Suggests: w3m | www-browser | x-www-browser, qmf-dev, qt4-dev-tools, qt4-doc-html
+Suggests: qmf-dev,
+          qt4-dev-tools,
+          qt4-doc-html,
+          w3m | www-browser | x-www-browser
 Description: Qt Messaging Framework (QMF) - HTML documentation
  The Qt Messaging Framework, QMF, consists of a C++ library and daemon server
  process that can be used to build email clients, and more generally software

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh $@ --parallel --list-missing --dbg-package=qmf-dbg
 
 override_dh_auto_configure:
-	dh_auto_configure -- QMF_INSTALL_ROOT=/usr
+	dh_auto_configure -- QMF_INSTALL_ROOT=/usr CONFIG+=syslog
 
 override_dh_auto_install:
 	install -D -p -m 0644 debian/qmf.sh \

## qmf 5.0~git20241030.1476b88

=== debian/changelog ===
qmf (5.0~git20241030.1476b88-3) unstable; urgency=medium

  [ László Böszörményi (GCS) ]
  * debian/patches:
    + Fix FTBFS against icu >= 75.1. (Closes: #1099840).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 08 Mar 2025 20:27:08 +0100

qmf (5.0~git20241030.1476b88-2) unstable; urgency=medium

  [ Guido Berhoerster ]
  * debian/patches:
    + Add 1001-Add-serialization-deserialization.patch
    + Add 2004-Raise-internal-limits.patch
    + Add 1002-Add-Posteingang-to-inbox-translations.patch
    + Add 2005-Add-pkg-config-files.patch
    + Update 2002-Enable-optionally-building-against-Qt-5.patch: Fix typo.
    + Add 2006-Use-a-queued-connection-to-handle-accountsUpdated-si.patch
    + Add 1003-Don-t-save-settings-during-IMAP-logging-in.patch.
    + Rename 2006-Use-a-queued-connection-to-handle-accountsUpdated-si.patch
      to 1004-Use-a-queued-connection-to-handle-accountsUpdated-si.patch.
      This should potentially be submitted upstream.
    + Add 1005-Use-EightBit-encoding-instead-of-Base64-for-text-typ.patch.
    + Add 1006-Allow-a-service-provided-folder-to-be-set-as-the-sta.patch.
    + Add 1007-Remove-lock-file-usage-from-messageserver.patch.
    + Add 1008-Remove-obsolete-file-locking-methods.patch.
    + Add 1009-Prefer-Qt-standard-paths-for-application-data.patch.
  * debian/*:
    + Remove -qt6 subpackages. The Qt5 and 6 variants of the qmfmessageserver
      are incompatible but share the same DBus service name so that they are
      coupled to their respective client libraries.  Drop the Qt6 subpackage
      for now since there are no consumers in Debian other tha lomiri-dekko-
      app (upload of Dekko is in prep).
    + Disable widgets and Qt HTML parsing.
  * debian/rules:
    + Build with logging support.

  [ Mike Gabriel ]
  * debian/copyright:
    + Fix URL in Source: field.
    + Update attributions for debian/.
    + White-space fixes.
    + Minor adjustments to new orig tarball packaging mechanism.
  * debian/control:
    + Use Source: field URL also in Homepage: field.
    + Drop from D: (libqmf-qt5-dev): libqmfwidgets-qt5-4 (lib:pkg removed
      from src:pkg).
  * debian/rules:
    + Use get-orig-source target that can retrieve the Git snapshot referenced
      by the upstream version part in d/changelog.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 24 Jan 2025 09:12:52 +0100

qmf (5.0~git20241030.1476b88-1) unstable; urgency=medium

  * Initial release to Debian (Closes: #1087500).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 14 Nov 2024 15:21:48 +0100

=== debian/control ===
Source: qmf
Section: libs
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake,
               debhelper-compat (= 13),
               libicu-dev,
               pkgconf,
               qtbase5-private-dev,
               qttools5-dev-tools,
               qttools5-dev,
               qdoc-qt5,
               qtbase5-doc-html,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://code.qt.io/cgit/qt-labs/messagingframework.git/
Vcs-Git: https://salsa.debian.org/ubports-team/qmf.git
Vcs-Browser: https://salsa.debian.org/ubports-team/qmf/

Package: libqmfclient-qt5-4
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 5 Messaging Framework (QMF) client library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Messaging Framework client library.
 .
 WARNING: This module is not an official part of Qt 5, but instead a git
 snapshot of an ongoing development. The package is very likely to
 change in a binary incompatible way, and no guarantees are given.

Package: libqmfmessageserver-qt5-4
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 5 Messaging Framework (QMF) server library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Messaging Framework message server library.
 .
 WARNING: This module is not an official part of Qt 5, but instead a git
 snapshot of an ongoing development. The package is very likely to
 change in a binary incompatible way, and no guarantees are given.

Package: qmfmessageserver
Section: utils
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Qt Messaging Framework (QMF) server
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Messaging Framework message server.
 .
 WARNING: This module is not an official part of Qt 6, but instead a git
 snapshot of an ongoing development. The package is very likely to
 change in a binary incompatible way, and no guarantees are given.

Package: libqmf-qt5-dev
Section: libdevel
Architecture: any
Depends: libqmfclient-qt5-4 (= ${binary:Version}),
         libqmfmessageserver-qt5-4 (= ${binary:Version}),
         ${misc:Depends},
Multi-Arch: same
Description: Qt 5 Messaging Framework (QMF) development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development files used for building Qt 5
 applications using QMF libraries.
 .
 WARNING: This module is not an official part of Qt 5, but instead a git
 snapshot of an ongoing development. The package is very likely to
 change in a binary incompatible way, and no guarantees are given.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DPKG_GENSYMBOLS_CHECK_LEVEL=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# enable logging support
export CPPFLAGS = -DQMF_ENABLE_LOGGING

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QT5=ON

include /usr/share/dpkg/pkg-info.mk

PKD   = $(word 1,$(abspath $(dir $(MAKEFILE_LIST))))
PKG   = $(DEB_SOURCE)
UVER  = $(shell echo $(DEB_VERSION) | cut -d "-" -f1)
DTYPE =
VER  ?= $(subst $(DTYPE),,$(UVER))

UURL = https://code.qt.io/qt-labs/messagingframework.git
UREV = $(shell echo $(VER) | cut -d"." -f3)

## http://wiki.debian.org/onlyjob/get-orig-source
.PHONY: get-orig-source
get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))
	@

$(PKG)_$(VER)$(DTYPE).orig.tar.xz: $(info I: GIT Revision=$(UREV))
	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
	@echo "# Downloading..."
	git clone $(UURL) $(PKG)-$(VER) \
	   || $(RM) -r $(PKG)-$(VER)
	cd $(PKG)-$(VER) \
	   && git checkout "$(UREV)" \
	   && ( echo "# Generating ChangeLog..." \
	      ; git --no-pager log --format="%ai %aN (%h) %n%n%x09*%w(68,0,10) %s%n" > ChangeLog \
	      ; touch -d "$$(git log -1 --format='%ci')" ChangeLog) \
	   && echo "# Setting times..." \
	   && for F in $$(git ls-tree -r --name-only HEAD); do touch --no-dereference -d "$$(git log -1 --format="%ai" -- $$F)" "$$F"; done \
	   && echo "# Cleaning-up..." \
	   && rm -rf .git .git*
	@echo "# Packing..."
	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
	   | XZ_OPT="-6v" tar -caf "../$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
	   && $(RM) -r "$(PKG)-$(VER)"
